; homeall.g
; Homing für alle Achsen durchführen
; Achtung: Axes are mapped in the order XYZUVWABC, where X=0, Y=1, Z=2, U=3 etc, not by driver number


; Achtung: für Mirror Mode muß erstmal die Invertierung der U-Achse abgedreht werden - nachpflegen!

; Variablen
var aktivesTool = -1

; Merken, welches Werkzeug gerade aktiv ist und ggf. deaktivieren..
if state.currentTool = 0 ; wenn der rechte Druckkopf aktiv ist...
    set var.aktivesTool = 0     ; merken und sonst nix machen, die Kommandos kommen dann richtig an
elif state.currentTool = 1      ; wenn der rechte Druckkopf aktiv ist...
    set var.aktivesTool = 1     ; merken
    T-1 P0                      ; und alle Tools deselektieren - sonst werden die X-Bewegungen falsch ausgeführt

; Homing
G91                     ; Relative Positionierung an
G1 Z250 F6000 H1        ; Z schnell bis zum Endstop fahren
G1 Z-2 F6000 H2         ; 2mm wieder vom Endstop weg
G1 Z10 F160 H1          ; ... und nochmal langsam hin, damit es genauer wird

M17    X Y U                        ; Motoren an
G4 P100                             ; Auf Übernahme warten
G1 H2 X0.015 Y0.015 U-0.015 F1000   ; StealthChop-Tuning: einen Mikroschritt bewegen
G4 P150                             ; StealthChop-Tuning: mindestens 130ms warten - Achtung, das Datenblatt widerspricht sich da selbst - da steh 2x ">130ms" und einmal "<130ms"
G1 H2 X5 Y5 U-5 F2000               ; mindestens 400 Vollschritte bewegen StealthChop-Tuning: 5mm (weiter) vom Endstop wegfahren (AT#2)
G1 X-350 Y-250 U350 F3200 H1        ; X, U und Y schnell zum Endstop fahren
G1 H2 X5 Y5 U-5 F3200               ; 5mm wieder vom Endstop weg
G1 H1 X-10 Y-10 U10 F360            ; ... und nochmal langsam hin, damit es genauer wird

G90                        ; Absolute Positionierung
G92 Z{move.axes[2].max}    ; Z auf gespeicherten Max-Wert aus config-override.g setzen

; Werkzeug wieder aktivieren
if var.aktivesTool = 0          ; wenn der rechte Druckkopf aktiv war...
    T0 P0                       ; wieder aktivieren
elif var.aktivesTool = 1        ; wenn der rechte Druckkopf aktiv war...
    T1 P0                       ; wieder aktivieren
