; homeu.g
; Homing für U-Achse durchführen
; Endstop für U befindet sich am oberen Achsenende
; Achtung: Axes are mapped in the order XYZUVWABC, where X=0, Y=1, Z=2, U=3 etc, not by driver number

; Achtung: für Mirror Mode muß erstmal die Invertierung der U-Achse abgedreht werden - nachpflegen!

; Variablen
var aktivesTool = -1
var z_abgesenkt = false

; Merken, welches Werkzeug gerade aktiv ist und ggf. deaktivieren..
if state.currentTool = 0 ; wenn der rechte Druckkopf aktiv ist...
    set var.aktivesTool = 0     ; merken und sonst nix machen, die Kommandos kommen dann richtig an
elif state.currentTool = 1      ; wenn der rechte Druckkopf aktiv ist...
    set var.aktivesTool = 1     ; merken
    T-1 P0                      ; und alle Tools deselektieren - sonst werden die X-Bewegungen falsch ausgeführt

; Homing
if !move.axes[2].homed
    M291 P"Bitte prüfen, ob das Druckbett nicht im Weg ist!" R"Z-Achse nicht genullt" S3

; Der erste Druckkopf (X) sollte dank der Bewegungsgrenze dem ersten nicht in die Quere kommen - außer er ist von Hand 
; ganz nach rechts verschoben und seitdem nicht gehomed. In diesem Fall sicherheitshalber zur Seite bewegen...
if !move.axes[0].homed
    G1 X-6 F800 H4      ; falls unklar ist, wo sich die X-Achse befindet, diese langsam 6mm zur Seite oder bis zum Endstop fahren

G91                     ; Relative Positionierung an
if move.axes[2].homed && move.axes[2].machinePosition < {move.axes[2].max-3}
    set var.z_abgesenkt = true
    G1 Z2 F900 H2       ; Z 2mm runter
M17    U                ; Motor an
G4 P100                 ; Auf Übernahme warten
G1 H2 U-0.015 F1000     ; StealthChop-Tuning: einen Mikroschritt bewegen  (AT#1)
G4 P150                 ; StealthChop-Tuning: mindestens 130ms warten - Achtung, das Datenblatt widerspricht sich da selbst - da steh 2x ">130ms" und einmal "<130ms"
G1 H2 U-5 F2000         ; StealthChop-Tuning: mindestens 400 Vollschritte bewegen - 5mm (weiter) vom Endstop wegfahren (AT#2)
G1 U350 F3200 H1        ; U schnell zum Endstop fahren
G1 U-5 F600 H2          ; 5mm wieder vom Endstop weg
G1 U10 F360 H1          ; ... und nochmal langsam hin, damit es genauer wird
if var.z_abgesenkt = true
    G1 Z-2 F450 H2      ; Z wieder hoch, falls das Bett abgesenkt wurde
G90                     ; Absolute Positionierung

; Werkzeug wieder aktivieren
if var.aktivesTool = 0      ; wenn der rechte Druckkopf aktiv war...
    T0 P0                   ; wieder aktivieren
elif var.aktivesTool = 1    ; wenn der rechte Druckkopf aktiv war...
    T1 P0                   ; wieder aktivieren
