; homey.g
; Homing für Y-Achse durchführen
; Endstop für Y befindet sich am unteren Achsenende
; Achtung: Axes are mapped in the order XYZUVWABC, where X=0, Y=1, Z=2, U=3 etc, not by driver number

; Werkzeugänderung nicht nötig - keine von Mapping betroffenen Achsen

var z_abgesenkt = false

if !move.axes[2].homed
    M291 P"Bitte prüfen, ob das Druckbett nicht im Weg ist!" R"Z-Achse nicht genullt" S3

G91                     ; Relative Positionierung an
if move.axes[2].homed && move.axes[2].machinePosition < {move.axes[2].max-2.1}
    set var.z_abgesenkt = true
    G1 Z2 F900 H2       ; Z 2mm runter
M17    Y                ; Motor an
G4 P100                 ; Auf Übernahme warten
G1 H2 Y0.015 F1000      ; StealthChop-Tuning: einen Mikroschritt bewegen  (AT#1)
G4 P150                 ; StealthChop-Tuning: mindestens 130ms warten - Achtung, das Datenblatt widerspricht sich da selbst - da steh 2x ">130ms" und einmal "<130ms"
G1 H2 Y5 F2000          ; StealthChop-Tuning: mindestens 400 Vollschritte bewegen 5mm (weiter) vom Endstop wegfahren (AT#2)
G1 Y-250 F3200 H1       ; Y schnell zum Endstop fahren
G1 Y5 F600 H2           ; 5mm wieder vom Endstop weg
G1 Y-10 F360 H1         ; ... und nochmal langsam hin, damit es genauer wird
if var.z_abgesenkt = true
    G1 Z-2 F450 H2      ; Z wieder hoch, falls das Bett abgesenkt wurde
G90                     ; Absolute Positionierung
